using System;
using System.Web.UI;
using Microsoft.SharePoint.WebPartPages;
using System.Web.UI.WebControls;

namespace RH.DiscussionListUpload
{
    /// <summary>
    /// Description of the toolpart. Override the GetToolParts method
    /// in your Web Part class to invoke this toolpart. To establish
    /// a reference to the Web Part the user has selected, use the
    /// ParentToolPane.SelectedWebPart property.
    /// </summary>
    public class CustomToolPartFooter : ToolPart
    {
        // an event handler for the Init event
        private static void CustomToolPartFooter_Init(object sender, EventArgs e)
        {
        }

        /// <summary>
        /// Constructor for the class. A great place to set Set
        /// default values for additional base class properties
        /// here.
        /// <summary>
        public CustomToolPartFooter()
        {
            // Set default properties
            Title = "by Ren Hzser";
            Init += CustomToolPartFooter_Init;
        }

        ///	<summary>
        ///	Called by the tool pane to apply property changes to
        /// the selected Web Part.
        ///	</summary>
        public override void ApplyChanges()
        {
        }

        /// <summary>
        ///	If the ApplyChanges method succeeds, this method is
        /// called by the tool pane to refresh the specified
        /// property values in the toolpart user interface.
        /// </summary>
        public override void SyncChanges()
        {
        }

        /// <summary>
        ///	Called by the tool pane if the user discards changes
        /// to the selected Web Part.
        /// </summary>
        public override void CancelChanges()
        {
        }

        /// <summary>
        /// Render this Tool part to the output parameter
        /// specified.
        /// </summary>
        /// <param name="writer">
        /// The HTML writer to write out to
        /// </param>
        protected override void RenderToolPart(HtmlTextWriter writer)
        {
            try
            {
                var link = new HyperLink
                               {
                                   NavigateUrl = "http://www.hezser.de/blog",
                                   Text = "www.hezser.de/blog",
                                   Target = "_blank"
                               };
                link.RenderControl(writer);
            }
            catch (Exception ex)
            {
                writer.Write(string.Format("Error in CreateChildControls:\r\n{0}", ex));
            }
        }
    }
}